Click here to Skip to main content
15,434,022 members
Home / Discussions / JavaScript
   

JavaScript

 
AnswerRe: AddEventListener in vanilla Javascript Pin
jkirkerx19-Jun-21 11:24
professionaljkirkerx19-Jun-21 11:24 
AnswerRe: AddEventListener in vanilla Javascript Pin
Richard Deeming20-Jun-21 23:42
mveRichard Deeming20-Jun-21 23:42 
GeneralRe: AddEventListener in vanilla Javascript Pin
jkirkerx21-Jun-21 6:26
professionaljkirkerx21-Jun-21 6:26 
GeneralRe: AddEventListener in vanilla Javascript Pin
Richard Deeming21-Jun-21 6:31
mveRichard Deeming21-Jun-21 6:31 
GeneralRe: AddEventListener in vanilla Javascript Pin
jkirkerx21-Jun-21 6:41
professionaljkirkerx21-Jun-21 6:41 
GeneralRe: AddEventListener in vanilla Javascript Pin
jkirkerx21-Jun-21 6:58
professionaljkirkerx21-Jun-21 6:58 
Questionhow to limit the draggable area in snap.svg? Pin
Member 1269897212-Jun-21 20:45
MemberMember 1269897212-Jun-21 20:45 
QuestionI am getting the following error while trying to run ./watch for my Ember JS application Pin
simpledeveloper1-Jun-21 19:44
Membersimpledeveloper1-Jun-21 19:44 
I changed to a new machine and from Visual Studio 2017 to Visual Studio 2019 I started getting the following errors when I was running watch command as below, which I used to do from the beginning

PS C:\GitSrsCodes\IMS\IMS.Ember> ./watch
    npm WARN file-loader@4.2.0 requires a peer of webpack@^4.0.0 but none is installed. You must install peer dependencies yourself.
    npm WARN less-loader@5.0.0 requires a peer of webpack@^2.0.0 || ^3.0.0 || ^4.0.0 but none is installed. You must install peer dependencies yourself.
    npm WARN sass-loader@8.0.0 requires a peer of webpack@^4.36.0 but none is installed. You must install peer dependencies yourself.
    npm WARN style-loader@1.0.0 requires a peer of webpack@^4.0.0 but none is installed. You must install peer dependencies yourself.
    npm WARN uglifyjs-webpack-plugin@2.2.0 requires a peer of webpack@^4.0.0 but none is installed. You must install peer dependencies yourself.
    npm WARN webpack-cli@3.3.10 requires a peer of webpack@4.x.x but none is installed. You must install peer dependencies yourself.
    npm WARN ims-ember@1.0.0 No description
    npm WARN ims-ember@1.0.0 No repository field.
    npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.2.9 (node_modules\fsevents):
    npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.2.9: wanted {"os":"darwin","arch":"any"} (current: {"os":"win32","arch":"x64"})
    
    updated 2 packages and audited 2375 packages in 14.249s
    
    18 packages are looking for funding
      run `npm fund` for details
    
    found 348 vulnerabilities (17 low, 1 moderate, 330 high)
      run `npm audit fix` to fix them, or `npm audit` for details
    
    webpack is watching the files…
    
    (node:14388) [DEP_WEBPACK_WATCH_WITHOUT_CALLBACK] DeprecationWarning: A 'callback' argument need to be provided to the 'webpack(options, callback)' function when the 'watch' option is set. There is no way to handle the 'watch' option without a callback.
    (Use `node --trace-deprecation ...` to show where the warning was created)
    assets by chunk 1.37 MiB (auxiliary name: app)
      assets by path *.png 4.17 KiB 5 assets
      assets by path *.svg 540 KiB 2 assets
      assets by path *.eot 182 KiB 2 assets
      assets by path *.ttf 206 KiB 2 assets
      assets by path *.woff 119 KiB 2 assets
      assets by path *.woff2 93 KiB 2 assets
      asset login-bg.jpg 248 KiB [compared for emit] (auxiliary name: app)
      asset loading.gif 8.28 KiB [compared for emit] (auxiliary name: app)
    assets by path *.js 23.9 MiB
      asset libs.js 9.98 MiB [compared for emit] (name: libs)
      asset app.js 6.73 MiB [compared for emit] (name: app)
      asset templates.js 6.48 MiB [compared for emit] (name: templates)
      asset polyfill.js 681 KiB [compared for emit] (name: polyfill)
    runtime modules 3.13 KiB 15 modules
    modules by path ./app/ 3.05 MiB 584 modules
    modules by path ./node_modules/ 4.6 MiB 495 modules
    modules by path ./helpers/ember/*.js 49.7 KiB 37 modules
    modules by path ./CSS/ 869 KiB
      modules by path ./CSS/lightbox2/images/ 176 bytes 4 modules
      modules by path ./CSS/*.less 869 KiB 2 modules
      modules by path ./CSS/chosen/*.png 107 bytes 2 modules
      ./CSS/img/login-bg.jpg 47 bytes [built] [code generated]
    modules by path ./.webpack/*.js 57.2 KiB 6 modules
    
    WARNING in ./node_modules/handlebars/lib/index.js 22:38-56
    require.extensions is not supported by webpack. Use a loader instead.
     @ ./app/request/details/DetailsController.js 5:0-35
     @ ./.webpack/webpack-results.js 3:11112-11163
     @ ./.webpack/webpack-app.js 1:0-30
    
    WARNING in ./node_modules/handlebars/lib/index.js 23:2-20
    require.extensions is not supported by webpack. Use a loader instead.
     @ ./app/request/details/DetailsController.js 5:0-35
     @ ./.webpack/webpack-results.js 3:11112-11163
     @ ./.webpack/webpack-app.js 1:0-30
    
    WARNING in ./node_modules/handlebars/lib/index.js 24:2-20
    require.extensions is not supported by webpack. Use a loader instead.
     @ ./app/request/details/DetailsController.js 5:0-35
     @ ./.webpack/webpack-results.js 3:11112-11163
     @ ./.webpack/webpack-app.js 1:0-30
    
    ERROR in ./app/application/ApplicationController.js 5:0-42
    Module not found: Error: Can't resolve 'constants' in 'C:\GitSrsCodes\IMS\IMS.Ember\app\application'
    
    BREAKING CHANGE: webpack < 5 used to include polyfills for node.js core modules by default.
    This is no longer the case. Verify if you need this module and configure a polyfill for it.
    
    If you want to include a polyfill, you need to:
            - add a fallback 'resolve.fallback: { "constants": require.resolve("constants-browserify") }'
            - install 'constants-browserify'
    If you don't want to include a polyfill, you can use an empty module like this:
            resolve.fallback: { "constants": false }
     @ ./.webpack/webpack-results.js 3:46-97
     @ ./.webpack/webpack-app.js 1:0-30
    
    ERROR in ./app/components/tuts-tests/tuts-tests.js 5:0-30
    Module not found: Error: Can't resolve 'os' in 'C:\GitSrsCodes\IMS\IMS.Ember\app\components\tuts-tests'
    
    BREAKING CHANGE: webpack < 5 used to include polyfills for node.js core modules by default.
    This is no longer the case. Verify if you need this module and configure a polyfill for it.
    
    If you want to include a polyfill, you need to:
            - add a fallback 'resolve.fallback: { "os": require.resolve("os-browserify/browser") }'
            - install 'os-browserify'
    If you don't want to include a polyfill, you can use an empty module like this:
            resolve.fallback: { "os": false }
     @ ./.webpack/webpack-results.js 3:9632-9682
     @ ./.webpack/webpack-app.js 1:0-30
    
    ERROR in ./node_modules/ember-source/dist/ember.debug.js 6498:16-37
    Module not found: Error: Can't resolve 'url' in 'C:\GitSrsCodes\IMS\IMS.Ember\node_modules\ember-source\dist'
    
    BREAKING CHANGE: webpack < 5 used to include polyfills for node.js core modules by default.
    This is no longer the case. Verify if you need this module and configure a polyfill for it.
    
    If you want to include a polyfill, you need to:
            - add a fallback 'resolve.fallback: { "url": require.resolve("url/") }'
            - install 'url'
    If you don't want to include a polyfill, you can use an empty module like this:
            resolve.fallback: { "url": false }
     @ ./.webpack/webpack-entry-dev.js 5:0-39
    
    3 errors have detailed information that is not shown.
    Use 'stats.errorDetails: true' resp. '--stats-error-details' to show it.
    
    webpack 5.38.1 compiled with 3 errors and 3 warnings in 23239 ms

Any help please if possible?
AnswerRe: I am getting the following error while trying to run ./watch for my Ember JS application Pin
jkirkerx16-Jun-21 14:58
professionaljkirkerx16-Jun-21 14:58 
QuestionHow To Use Dynamic variable in Javascript Pin
pranay kumar 202127-May-21 3:14
Memberpranay kumar 202127-May-21 3:14 
AnswerRe: How To Use Dynamic variable in Javascript Pin
jkirkerx16-Jun-21 15:01
professionaljkirkerx16-Jun-21 15:01 
QuestionHow to deskew a page of pdf document which is loaded through pdf.js Pin
Member 1520321817-May-21 8:58
MemberMember 1520321817-May-21 8:58 
QuestionJavascript Array Wrapper or Class Pin
Member 1510027612-May-21 14:23
MemberMember 1510027612-May-21 14:23 
QuestionUse of assignment operator inside {} Pin
captain prime30-Apr-21 1:40
Membercaptain prime30-Apr-21 1:40 
AnswerRe: Use of assignment operator inside {} Pin
Richard Deeming30-Apr-21 1:49
mveRichard Deeming30-Apr-21 1:49 
GeneralRe: Use of assignment operator inside {} Pin
captain prime30-Apr-21 18:23
Membercaptain prime30-Apr-21 18:23 
QuestionMulti select with Id:Value init issue - Tabulator.js (Oli Folkerd) Pin
Member 105369227-Apr-21 23:38
MemberMember 105369227-Apr-21 23:38 
QuestionNode express.js API slow response on first time request Pin
Member 1395114022-Apr-21 1:36
MemberMember 1395114022-Apr-21 1:36 
QuestionHelp Pin
fielle14-Apr-21 22:17
Memberfielle14-Apr-21 22:17 
AnswerRe: Help Pin
Richard Deeming14-Apr-21 22:51
mveRichard Deeming14-Apr-21 22:51 
Question8yr JS now giving me console error in FF and CHROME Pin
Member 1514660811-Apr-21 9:07
MemberMember 1514660811-Apr-21 9:07 
AnswerRe: 8yr JS now giving me console error in FF and CHROME Pin
Richard Deeming11-Apr-21 21:29
mveRichard Deeming11-Apr-21 21:29 
GeneralRe: 8yr JS now giving me console error in FF and CHROME Pin
Member 1514660812-Apr-21 3:00
MemberMember 1514660812-Apr-21 3:00 
GeneralRe: 8yr JS now giving me console error in FF and CHROME Pin
Richard Deeming12-Apr-21 3:09
mveRichard Deeming12-Apr-21 3:09 
GeneralRe: 8yr JS now giving me console error in FF and CHROME Pin
Member 1514660812-Apr-21 3:14
MemberMember 1514660812-Apr-21 3:14 

General General    News News    Suggestion Suggestion    Question Question    Bug Bug    Answer Answer    Joke Joke    Praise Praise    Rant Rant    Admin Admin   

Use Ctrl+Left/Right to switch messages, Ctrl+Up/Down to switch threads, Ctrl+Shift+Left/Right to switch pages.